Package org.gitana.platform.client.domain

# Interface Domain

All Superinterfaces:
  `AccessControllable`, `ClusterDataStore`, `Copyable`, `DataStore`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDataStore`, `Referenceable`, `Selfable`, `Serializable`, `Teamable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `DomainImpl`

public interface Domain extends PlatformDataStore

Author:
  uzi

## Field Summary

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`PermissionCheckResults`
`checkPrincipalPermissions(List<PermissionCheck> list)`
`DomainGroup`
`createGroup(String name)`
`DomainPrincipal`
`createPrincipal(org.gitana.platform.services.principals.PrincipalType type, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainUser`
`createUser(String name, String password)`
`void`
`deletePrincipal(String principalId)`
`void`
`deletePrincipal(DomainPrincipal principal)`
`DomainUser`
`inviteUser(DomainUser invitee)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listGroups()`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listGroups(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listMemberships(String principalId)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listMemberships(String principalId, boolean includeIndirectMemberships)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listMemberships(DomainPrincipal principal)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listMemberships(DomainPrincipal principal, boolean includeIndirectMemberships)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listPrincipals()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listPrincipals(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainUser>`
`listUsers()`
`org.gitana.platform.support.ResultMap<DomainUser>`
`listUsers(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainUser>`
`queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainUser>`
`queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`DomainPrincipal`
`readPrincipal(String principalId)`
`void`
`updatePrincipal(DomainPrincipal principal)`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.cluster.ClusterDataStore

`getCluster`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDataStore

`getPlatform`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.team.Teamable

`createTeam, createTeam, deleteTeam, getOwnersTeam, getTeamableBaseUri, listTeams, readTeam`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Method Details

### listPrincipals

org.gitana.platform.support.ResultMap<DomainPrincipal> listPrincipals()

### listPrincipals

org.gitana.platform.support.ResultMap<DomainPrincipal> listPrincipals(org.gitana.platform.support.Pagination pagination)

### readPrincipal

DomainPrincipal readPrincipal(String principalId)

### createPrincipal

DomainPrincipal createPrincipal(org.gitana.platform.services.principals.PrincipalType type, com.fasterxml.jackson.databind.node.ObjectNode object)

### createUser

DomainUser createUser(String name, String password)

### createGroup

DomainGroup createGroup(String name)

### queryPrincipals

org.gitana.platform.support.ResultMap<DomainPrincipal> queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryPrincipals

org.gitana.platform.support.ResultMap<DomainPrincipal> queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### updatePrincipal

void updatePrincipal(DomainPrincipal principal)

### deletePrincipal

void deletePrincipal(DomainPrincipal principal)

### deletePrincipal

void deletePrincipal(String principalId)

### listMemberships

org.gitana.platform.support.ResultMap<DomainGroup> listMemberships(DomainPrincipal principal)

### listMemberships

org.gitana.platform.support.ResultMap<DomainGroup> listMemberships(String principalId)

### listMemberships

org.gitana.platform.support.ResultMap<DomainGroup> listMemberships(DomainPrincipal principal, boolean includeIndirectMemberships)

### listMemberships

org.gitana.platform.support.ResultMap<DomainGroup> listMemberships(String principalId, boolean includeIndirectMemberships)

### checkPrincipalPermissions

PermissionCheckResults checkPrincipalPermissions(List<PermissionCheck> list)

### listUsers

org.gitana.platform.support.ResultMap<DomainUser> listUsers()

### listUsers

org.gitana.platform.support.ResultMap<DomainUser> listUsers(org.gitana.platform.support.Pagination pagination)

### listGroups

org.gitana.platform.support.ResultMap<DomainGroup> listGroups()

### listGroups

org.gitana.platform.support.ResultMap<DomainGroup> listGroups(org.gitana.platform.support.Pagination pagination)

### queryUsers

org.gitana.platform.support.ResultMap<DomainUser> queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryUsers

org.gitana.platform.support.ResultMap<DomainUser> queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### queryGroups

org.gitana.platform.support.ResultMap<DomainGroup> queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryGroups

org.gitana.platform.support.ResultMap<DomainGroup> queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### inviteUser

DomainUser inviteUser(DomainUser invitee)